Debian Bug report logs - #641667
/lib/libe2p.so.2: [patch] e2fsprogs/libe2p: tune2fs never recognizes MNTOPT_* mount options

version graph

Package: e2fslibs; Maintainer for e2fslibs is Theodore Y. Ts'o <tytso@mit.edu>; Source for e2fslibs is src:e2fsprogs.

Reported by: "Israel G. Lugo" <israel.lugo@lugosys.com>

Date: Thu, 15 Sep 2011 02:36:01 UTC

Severity: normal

Tags: patch, upstream

Found in version e2fsprogs/1.41.12-4stable1

Fixed in version e2fsprogs/1.42~WIP-2011-09-16-1

Done: "Theodore Ts'o" <tytso@mit.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Theodore Y. Ts'o <tytso@mit.edu>:
Bug#641667; Package e2fslibs. (Thu, 15 Sep 2011 02:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Israel G. Lugo" <israel.lugo@lugosys.com>:
New Bug report received and forwarded. Copy sent to Theodore Y. Ts'o <tytso@mit.edu>. (Thu, 15 Sep 2011 02:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Israel G. Lugo" <israel.lugo@lugosys.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /lib/libe2p.so.2: [patch] e2fsprogs/libe2p: tune2fs never recognizes MNTOPT_* mount options
Date: Thu, 15 Sep 2011 04:07:07 +0200
Package: e2fslibs
Version: 1.41.12-4stable1
Severity: normal
File: /lib/libe2p.so.2
Tags: upstream patch


There's an off-by-one bug in lib/e2p/mntopts.c:e2p_string2mntopt(), both
in the Debian 1.41.12 version, and the current upstream 1.41.14
version. It's failing to properly recognize any MNTOPT_* options, which
means I can't for example do the following:


# tune2fs -o MNTOPT_10 /dev/sda2
tune2fs 1.41.12 (17-May-2010)
Invalid mount option set: MNTOPT_10

MNTOPT_10 corresponds to the "discard" mount option; this particular
example is from an embedded system running Debian 6.0.2 armv5tel. Any
other numerical option will fail, not just 10. This affects all
architectures; I am only using this system to report the bug since it is
my mailhub.

I have already tracked down the issue and have just sent a patch
upstream. However, it would be very nice to backport the fix to the
Debian version, so tune2fs's -o feature works as expected...

I am including a patch below to solve the problem. Please backport.


-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (700, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-028stab091.2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages e2fslibs depends on:
ii  libc6                         2.11.2-10  Embedded GNU C Library: Shared lib

e2fslibs recommends no packages.

e2fslibs suggests no packages.

-- no debconf information

*** e2fsprogs-1.41.12-debian-numeric-mntopt.patch
2011-09-15  Israel G. Lugo  <israel.lugo@lugosys.com>

	* lib/e2p/mntopt.c: Fix tune2fs never recognizing any MNTOPT_* mount
	options, due to off-by-one error in e2p_string2mntopt.


diff -durp e2fsprogs-1.41.12/lib/e2p/mntopts.c e2fsprogs-1.41.12-debian-numeric-mntopt/lib/e2p/mntopts.c
--- e2fsprogs-1.41.12/lib/e2p/mntopts.c	2011-06-18 19:14:54.000000000 +0200
+++ e2fsprogs-1.41.12-debian-numeric-mntopt/lib/e2p/mntopts.c	2011-09-15 03:59:40.000000000 +0200
@@ -61,7 +61,7 @@ int e2p_string2mntopt(char *string, unsi
 			return 0;
 		}
 	}
-	if (strncasecmp(string, "MNTOPT_", 8))
+	if (strncasecmp(string, "MNTOPT_", 7))
 		return 1;
 
 	if (string[8] == 0)




Information forwarded to debian-bugs-dist@lists.debian.org, Theodore Y. Ts'o <tytso@mit.edu>:
Bug#641667; Package e2fslibs. (Thu, 15 Sep 2011 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ted Ts'o <tytso@mit.edu>:
Extra info received and forwarded to list. Copy sent to Theodore Y. Ts'o <tytso@mit.edu>. (Thu, 15 Sep 2011 03:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 641667@bugs.debian.org (full text, mbox):

From: Ted Ts'o <tytso@mit.edu>
To: "Israel G. Lugo" <israel.lugo@lugosys.com>, 641667@bugs.debian.org
Subject: Re: Bug#641667: /lib/libe2p.so.2: [patch] e2fsprogs/libe2p: tune2fs never recognizes MNTOPT_* mount options
Date: Wed, 14 Sep 2011 23:15:55 -0400
On Thu, Sep 15, 2011 at 04:07:07AM +0200, Israel G. Lugo wrote:
> 
> There's an off-by-one bug in lib/e2p/mntopts.c:e2p_string2mntopt(), both
> in the Debian 1.41.12 version, and the current upstream 1.41.14
> version. It's failing to properly recognize any MNTOPT_* options, which
> means I can't for example do the following:
> 
> # tune2fs -o MNTOPT_10 /dev/sda2
> tune2fs 1.41.12 (17-May-2010)
> Invalid mount option set: MNTOPT_10
> 
> MNTOPT_10 corresponds to the "discard" mount option; this particular
> example is from an embedded system running Debian 6.0.2 armv5tel.

Thanks for the fix.  I am the upstream for e2fsprogs, so I'll make
sure it gets into a future release.  As far as getting this backported
into 1.41.12-4stable1, it's a pain in the tuckus to get patches
backported into stable, especially when the package is used by the
installer, and I'm not sure the stable release maintainers would
consider this bug important enough to be worthy of a backport.

After all, I don't think the stable kernel understands
EXT4_DEFM_DISCARD anyway, does it?

Why don't you just compile a newer version of e2fsprogs for stable?
We may never get it into stable release, but it should work just fine
there.  After all, there's a reason Debian Stable is known as Debian
Obsolete.  :-)

					- Ted




Information forwarded to debian-bugs-dist@lists.debian.org, Theodore Y. Ts'o <tytso@mit.edu>:
Bug#641667; Package e2fslibs. (Fri, 16 Sep 2011 11:42:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Israel G. Lugo" <israel.lugo@lugosys.com>:
Extra info received and forwarded to list. Copy sent to Theodore Y. Ts'o <tytso@mit.edu>. (Fri, 16 Sep 2011 11:42:39 GMT) Full text and rfc822 format available.

Message #15 received at 641667@bugs.debian.org (full text, mbox):

From: "Israel G. Lugo" <israel.lugo@lugosys.com>
To: Ted Ts'o <tytso@mit.edu>
Cc: 641667@bugs.debian.org
Subject: Re: Bug#641667: /lib/libe2p.so.2: [patch] e2fsprogs/libe2p: tune2fs never recognizes MNTOPT_* mount options
Date: Fri, 16 Sep 2011 12:30:32 +0100
I understand. It's an important package affecting many things and the
bug itself isn't critical.

It's a shame to not have the feature, since it allows enabling arbitrary
options, but indeed the stable kernel probably doesn't support anything
that stable libe2p doesn't. So for the majority of users this probably
won't be too important.

In my case I was using a custom 2.6.38 kernel for the embedded system,
hence my desire for enabling the "discard" option. I'll follow your
suggestion and compile my own version of e2fsprogs along with the custom
kernel -- suits me well for using Debian Obsolete ;)




Reply sent to tytso@mit.edu (Theodore Y. Ts'o):
You have taken responsibility. (Fri, 16 Sep 2011 16:37:10 GMT) Full text and rfc822 format available.

Notification sent to "Israel G. Lugo" <israel.lugo@lugosys.com>:
Bug acknowledged by developer. (Fri, 16 Sep 2011 16:37:10 GMT) Full text and rfc822 format available.

Message #20 received at 641667-close@bugs.debian.org (full text, mbox):

From: tytso@mit.edu (Theodore Y. Ts'o)
To: 641667-close@bugs.debian.org
Subject: Bug#641667: fixed in e2fsprogs 1.42~WIP-2011-09-16-1
Date: Fri, 16 Sep 2011 16:32:21 +0000
Source: e2fsprogs
Source-Version: 1.42~WIP-2011-09-16-1

We believe that the bug you reported is fixed in the latest version of
e2fsprogs, which is due to be installed in the Debian FTP archive:

comerr-dev_2.1-1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/comerr-dev_2.1-1.42~WIP-2011-09-16-1_i386.deb
e2fsck-static_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/e2fsck-static_1.42~WIP-2011-09-16-1_i386.deb
e2fslibs-dbg_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/e2fslibs-dbg_1.42~WIP-2011-09-16-1_i386.deb
e2fslibs-dev_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/e2fslibs-dev_1.42~WIP-2011-09-16-1_i386.deb
e2fslibs_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/e2fslibs_1.42~WIP-2011-09-16-1_i386.deb
e2fsprogs-dbg_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/e2fsprogs-dbg_1.42~WIP-2011-09-16-1_i386.deb
e2fsprogs-udeb_1.42~WIP-2011-09-16-1_i386.udeb
  to main/e/e2fsprogs/e2fsprogs-udeb_1.42~WIP-2011-09-16-1_i386.udeb
e2fsprogs_1.42~WIP-2011-09-16-1.diff.gz
  to main/e/e2fsprogs/e2fsprogs_1.42~WIP-2011-09-16-1.diff.gz
e2fsprogs_1.42~WIP-2011-09-16-1.dsc
  to main/e/e2fsprogs/e2fsprogs_1.42~WIP-2011-09-16-1.dsc
e2fsprogs_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/e2fsprogs_1.42~WIP-2011-09-16-1_i386.deb
e2fsprogs_1.42~WIP-2011-09-16.orig.tar.gz
  to main/e/e2fsprogs/e2fsprogs_1.42~WIP-2011-09-16.orig.tar.gz
libcomerr2-dbg_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/libcomerr2-dbg_1.42~WIP-2011-09-16-1_i386.deb
libcomerr2_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/libcomerr2_1.42~WIP-2011-09-16-1_i386.deb
libss2-dbg_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/libss2-dbg_1.42~WIP-2011-09-16-1_i386.deb
libss2_1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/libss2_1.42~WIP-2011-09-16-1_i386.deb
ss-dev_2.0-1.42~WIP-2011-09-16-1_i386.deb
  to main/e/e2fsprogs/ss-dev_2.0-1.42~WIP-2011-09-16-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641667@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Theodore Y. Ts'o <tytso@mit.edu> (supplier of updated e2fsprogs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Sep 2011 10:33:59 -0400
Source: e2fsprogs
Binary: e2fsck-static libcomerr2 comerr-dev libss2 ss-dev e2fsprogs-udeb e2fslibs e2fslibs-dev e2fsprogs e2fsprogs-dbg e2fslibs-dbg libcomerr2-dbg libss2-dbg
Architecture: source i386
Version: 1.42~WIP-2011-09-16-1
Distribution: unstable
Urgency: low
Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Changed-By: Theodore Y. Ts'o <tytso@mit.edu>
Description: 
 comerr-dev - common error description library - headers and static libraries
 e2fsck-static - statically-linked version of the ext2/ext3/ext4 filesystem checke
 e2fslibs   - ext2/ext3/ext4 file system libraries
 e2fslibs-dbg - debugging information for e2fslibs
 e2fslibs-dev - ext2/ext3/ext4 file system libraries - headers and static librari
 e2fsprogs  - ext2/ext3/ext4 file system utilities
 e2fsprogs-dbg - debugging information for e2fsprogs
 e2fsprogs-udeb - stripped-down versions of e2fsprogs, for debian-installer (udeb)
 libcomerr2 - common error description library
 libcomerr2-dbg - debugging information for libcomerr2
 libss2     - command-line interface parsing library
 libss2-dbg - debugging information for libss2
 ss-dev     - command-line interface parsing library - headers and static libra
Closes: 636418 639411 641667
Changes: 
 e2fsprogs (1.42~WIP-2011-09-16-1) unstable; urgency=low
 .
   * New upstream release
   * Added support for the integrated quota feature
   * Improved 64-bit and bigalloc support
   * Mke2fs and tune2fs now allows setting the stride and stripe width to zero
   * Fixed tune2fs's mount options parsing  (Closes: #641667)
   * Fixed an ABI compatibility problem which broke the dump program
       (Closes: #636418)
   * Resize2fs has forward compatibility for a new on-line resize ioctl
       for > 16TB file systems.
   * Fixed a (very hard to hit) bug that could cause e2fsck to crash in
        pass 1 or pass 2
   * Debugfs has a new 'blocks' command
   * Mke2fs now gives a warning if the auto-detected block size exceeds
       the page size
   * Mke2fs and e2fsck now tries to use the punch hole command as a
       "discard" when operating on normal files
   * Mke2fs will not try to do any discard operations if -n is specified
       on the command line
   * Updated/clarified man pages (Closes: #639411)
   * Fixed parsing of MNTOPT_ options for tune2fs and debugfs (Closes: #641667)
Checksums-Sha1: 
 9ca0ec0a70090ccd32f459fbd095932d5077b22c 1440 e2fsprogs_1.42~WIP-2011-09-16-1.dsc
 4717c1d2e013cdb23dd04b9683110e5756fa20aa 5569858 e2fsprogs_1.42~WIP-2011-09-16.orig.tar.gz
 e44f88271fe40b246eefeb8393f5cbe0c7b90266 5668 e2fsprogs_1.42~WIP-2011-09-16-1.diff.gz
 ab501a09737a4b223a3db68251ca49da546b91c8 499728 e2fsck-static_1.42~WIP-2011-09-16-1_i386.deb
 8df10b0bcd873b488e6262e3beaffa8f8fc5b3c4 51938 libcomerr2_1.42~WIP-2011-09-16-1_i386.deb
 980205590e594a6076593865d90e73ebcb16d929 56782 libss2_1.42~WIP-2011-09-16-1_i386.deb
 358560e7079cf4a6e9c875994d47e3ef0a27e4d4 211232 e2fslibs_1.42~WIP-2011-09-16-1_i386.deb
 7367eace01507cea3497e0f89542e5b0e3d40e07 249778 e2fslibs-dev_1.42~WIP-2011-09-16-1_i386.deb
 682fb0e3e723c3e3b126b8a9bbb7f355d4f98ccc 872912 e2fsprogs_1.42~WIP-2011-09-16-1_i386.deb
 f161ab81618b93f23e3c74c9a85ec89260437bbc 1029278 e2fsprogs-dbg_1.42~WIP-2011-09-16-1_i386.deb
 5309454ed072e16eaebcf2f3f741f857c83b0301 332974 e2fslibs-dbg_1.42~WIP-2011-09-16-1_i386.deb
 f2f9714fafd6e377168da1757e96c27320054a9e 53660 libcomerr2-dbg_1.42~WIP-2011-09-16-1_i386.deb
 075486ec47d2052038f1d4d188dbf3c4ed6301b5 62830 libss2-dbg_1.42~WIP-2011-09-16-1_i386.deb
 13386a907768530125e46e939e26cf15ad7bb1cd 43000 comerr-dev_2.1-1.42~WIP-2011-09-16-1_i386.deb
 125256e48395dac1f26d8ddeb342ec919e132b43 18264 ss-dev_2.0-1.42~WIP-2011-09-16-1_i386.deb
 8382cfb77896c5a16fdea7261366f35ad0f83f1f 304554 e2fsprogs-udeb_1.42~WIP-2011-09-16-1_i386.udeb
Checksums-Sha256: 
 f581711bed63d38bc7ae9ee590b27553eb9e50122af9e2b9a0e1cc4b6d553cbd 1440 e2fsprogs_1.42~WIP-2011-09-16-1.dsc
 96a2b4c5f96ade84214d97e39cda7f8ade4e1edc49231c891989b563b1572c74 5569858 e2fsprogs_1.42~WIP-2011-09-16.orig.tar.gz
 7c2a597ce4247634e80c21fa8f4a0de58bcdba4dee7bf30931b3f993d46ac735 5668 e2fsprogs_1.42~WIP-2011-09-16-1.diff.gz
 18e93fc3ea1674de9e919ef12325ccff034ae389f53167578b8d567fc9e8ceca 499728 e2fsck-static_1.42~WIP-2011-09-16-1_i386.deb
 e37189c7ab45bc6610e8ee197836193273a9e30475d098b9b6050426de8591ff 51938 libcomerr2_1.42~WIP-2011-09-16-1_i386.deb
 509dfe05a260cbca4dc948c458f237e23bd740cebfeb6c0bea02e36d0ea43d7e 56782 libss2_1.42~WIP-2011-09-16-1_i386.deb
 9fd103f87b30374b1699170ae15193cbbd2f4dbe34454a8e06575759a572f827 211232 e2fslibs_1.42~WIP-2011-09-16-1_i386.deb
 bfd0908446154b2f40e6fb4ca5fbc48e6c9437eac236e3c1257f17e47e2269f2 249778 e2fslibs-dev_1.42~WIP-2011-09-16-1_i386.deb
 2fdee2c1eed4d8fc4b7c9eda7b665665d53663b94dd95546e96e4dd8c4afd1f0 872912 e2fsprogs_1.42~WIP-2011-09-16-1_i386.deb
 2483618f671f75b343fc2deea67399131801517cf6ee53b68b179ffa1e34134f 1029278 e2fsprogs-dbg_1.42~WIP-2011-09-16-1_i386.deb
 a41e3ed733dcab96ba7ee3e0dcefeffc9c967f6fde58b7b6bf73c01ef105c527 332974 e2fslibs-dbg_1.42~WIP-2011-09-16-1_i386.deb
 9512d626306aec8edec84c3eeb45be0af205fabdde583122eb7cbae3b9ebecaf 53660 libcomerr2-dbg_1.42~WIP-2011-09-16-1_i386.deb
 8d42b08d36b7b23e1763f9a637c4fdfb3e7143ddd2ad86ab59378603c9903d85 62830 libss2-dbg_1.42~WIP-2011-09-16-1_i386.deb
 740d18e8ee119d11fed4e4e6051b58a8f9988197493810be55ce50a7d29cdf60 43000 comerr-dev_2.1-1.42~WIP-2011-09-16-1_i386.deb
 ed1a15345b1aba8d88ad60d65b51db09991441f9bf2fe502e1a9910ad58edff9 18264 ss-dev_2.0-1.42~WIP-2011-09-16-1_i386.deb
 4e42be7059f9b3ca71339085c312bf13d9c570513a8760f4fa1cf68abb17dcfe 304554 e2fsprogs-udeb_1.42~WIP-2011-09-16-1_i386.udeb
Files: 
 9c637624e924d3991abd4f3686767010 1440 admin required e2fsprogs_1.42~WIP-2011-09-16-1.dsc
 213d594baa5609801d67c5ae80010455 5569858 admin required e2fsprogs_1.42~WIP-2011-09-16.orig.tar.gz
 08a2da687177d152c791460b94154a45 5668 admin required e2fsprogs_1.42~WIP-2011-09-16-1.diff.gz
 9616fc55ebd363f1c82e05dc7c593aa3 499728 admin optional e2fsck-static_1.42~WIP-2011-09-16-1_i386.deb
 72a106ea12a49c3b9d07fa65520ee139 51938 libs required libcomerr2_1.42~WIP-2011-09-16-1_i386.deb
 0c576d753e88932125e2278d22e4c4d7 56782 libs required libss2_1.42~WIP-2011-09-16-1_i386.deb
 087fe47766b9e5f8a02ed43fbcbbfcb9 211232 libs required e2fslibs_1.42~WIP-2011-09-16-1_i386.deb
 18f1a1f2c169cb5dac33540ba508f9ff 249778 libdevel extra e2fslibs-dev_1.42~WIP-2011-09-16-1_i386.deb
 e9397545087263deac637b8e1c6ffd9d 872912 admin required e2fsprogs_1.42~WIP-2011-09-16-1_i386.deb
 735060d3bd55500c94495144a02ba452 1029278 debug extra e2fsprogs-dbg_1.42~WIP-2011-09-16-1_i386.deb
 4dc3008c3740281ea93636d70142f719 332974 debug extra e2fslibs-dbg_1.42~WIP-2011-09-16-1_i386.deb
 0eead9fcd4854c8900bc0a9668b949d6 53660 debug extra libcomerr2-dbg_1.42~WIP-2011-09-16-1_i386.deb
 f58ec17a6699f73efe0c6c507096ddf6 62830 debug extra libss2-dbg_1.42~WIP-2011-09-16-1_i386.deb
 0929525551189fe90159f40705577c9f 43000 libdevel extra comerr-dev_2.1-1.42~WIP-2011-09-16-1_i386.deb
 5983678050d2f055d1831e7574e77640 18264 libdevel extra ss-dev_2.0-1.42~WIP-2011-09-16-1_i386.deb
 d01955f235f2324fce1a36a84125538f 304554 debian-installer optional e2fsprogs-udeb_1.42~WIP-2011-09-16-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5zdecACgkQ7To545NnTECGHwCfYD8JMjWdKgAN9EQRuoxh5Eqe
yr0An1M36UklNGAYruGx4ryj/waWyEhF
=A1J7
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Theodore Y. Ts'o <tytso@mit.edu>:
Bug#641667; Package e2fslibs. (Sun, 02 Oct 2011 12:32:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoffrey Thomas <geofft@ldpreload.com>:
Extra info received and forwarded to list. Copy sent to Theodore Y. Ts'o <tytso@mit.edu>. (Sun, 02 Oct 2011 12:32:19 GMT) Full text and rfc822 format available.

Message #25 received at 641667@bugs.debian.org (full text, mbox):

From: Geoffrey Thomas <geofft@ldpreload.com>
To: "John-Charles D. Sokolow" <gkffyji@gmail.com>
Cc: control@bugs.debian.org, 641667@bugs.debian.org
Subject: Re: base: Any call to mount returns /dev/<device name> : No such device
Date: Sun, 2 Oct 2011 08:22:26 -0400 (EDT)
reassign 641667 kfreebsd-8
severity 641667 normal
thanks

Hi John-Charles,

I'm reassigning this bug to kfreebsd-8 on the basis that that's where the 
following similar bug report was filed:
  http://bugs.debian.org/593733
I don't think it's the same bug, though. But hopefully this should get it 
visible by a kFreeBSD user or developer, who can reassign it elsewhere 
(the mount command, perhaps?) if this is incorrect.

-- 
Geoffrey Thomas
http://ldpreload.com
geofft@ldpreload.com

On Sat, 10 Sep 2011, John-Charles D. Sokolow wrote:

> Package: base
> Severity: grave
>
> Dear Maintainer,
>
>
>   * What led up to the situation?
>     While attempting to mount a second hard disk which contains some
>     data I recieved "No such device" error.
>   * What exactly did you do (or not do) that was effective (or
>     ineffective)?
>     I confirmed both that the device exists and had not been acidently erased
>     through installing gparted I confirmed that the device /dev/ad1s2 was
>     present on the disk and valid. I called the stat command stat /dev/ad1s2
>     to validate that the device file existed. stat printed out valid
>     information about the file. I attempted to validate that I had permission
>     to mount. both using sudo, and running mount as root after using su root.
>
>   * What was the outcome of this action?
>     There was no specific outcome of this action. The problem persists the
>     only file system that was able to be mounted was root. No other file
>     system can be mounted on the system anywhere my any user with any
>     level of permission.
>
>   * What outcome did you expect instead?
>     To successfully mount the file system on my second partition.
>
>     Further notes. I have not changed this file system during the os install
>     it is on a seperate hard disk. Not that the disk also as a fat file
>     system, and a btrfs file system on it. Neither were able to mount either.
>     Furthermore, the file system I was attempting to mount is an active root
>     partition for a debian instance which can successfully boot if I rebot
>     the system.
>
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers testing
>  APT policy: (500, 'testing')
> Architecture: kfreebsd-amd64 (x86_64)
>
> Kernel: kFreeBSD 8.2-1-amd64
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
>
>
>




Bug reassigned from package 'e2fslibs' to 'kfreebsd-8'. Request was from Geoffrey Thomas <geofft@ldpreload.com> to control@bugs.debian.org. (Sun, 02 Oct 2011 12:33:28 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions e2fsprogs/1.41.12-4stable1. Request was from Geoffrey Thomas <geofft@ldpreload.com> to control@bugs.debian.org. (Sun, 02 Oct 2011 12:33:29 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions e2fsprogs/1.42~WIP-2011-09-16-1. Request was from Geoffrey Thomas <geofft@ldpreload.com> to control@bugs.debian.org. (Sun, 02 Oct 2011 12:33:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#641667; Package kfreebsd-8. (Sun, 02 Oct 2011 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoffrey Thomas <geofft@ldpreload.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 02 Oct 2011 19:39:03 GMT) Full text and rfc822 format available.

Message #36 received at 641667@bugs.debian.org (full text, mbox):

From: Geoffrey Thomas <geofft@ldpreload.com>
To: "Ted Ts'o" <tytso@mit.edu>, control@bugs.debian.org, 641667@bugs.debian.org
Cc: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Subject: Re: Processed: Re: base: Any call to mount returns /dev/<device name> : No such device
Date: Sun, 2 Oct 2011 15:34:43 -0400 (EDT)
reassign 641667 e2fslibs
found 641667 e2fsprogs/1.41.12-4stable1
fixed 641667 e2fsprogs/1.42~WIP-2011-09-16-1
reassign 641167 kfreebsd-8
severity 641167 normal
thanks

On Sun, 2 Oct 2011, Ted Ts'o wrote:

> On Sun, Oct 02, 2011 at 12:33:30PM +0000, Debian Bug Tracking System wrote:
>> Processing commands for control@bugs.debian.org:
>>
>>> reassign 641667 kfreebsd-8
>> Bug #641667 {Done: tytso@mit.edu (Theodore Y. Ts'o)} [e2fslibs] /lib/libe2p.so.2: [patch] e2fsprogs/libe2p: tune2fs never recognizes MNTOPT_* mount options
>> Bug reassigned from package 'e2fslibs' to 'kfreebsd-8'.
>> Bug No longer marked as found in versions e2fsprogs/1.41.12-4stable1.
>> Bug No longer marked as fixed in versions e2fsprogs/1.42~WIP-2011-09-16-1.
>>> severity 641667 normal
>> Bug #641667 {Done: tytso@mit.edu (Theodore Y. Ts'o)} [kfreebsd-8] /lib/libe2p.so.2: [patch] e2fsprogs/libe2p: tune2fs never recognizes MNTOPT_* mount options
>> Ignoring request to change severity of Bug 641667 to the same value.
>>> thanks
>> Stopping processing here.
>>
>> Please contact me if you need assistance.
>
> Um you hit the wrong bug.   The bug you wanted is:
>
> #641167: base: Any call to mount returns /dev/<device name> : No such device
>
> 641167, not 641667.

... oops, that'll teach me not to use the BTS right before falling 
asleep. Sorry about the confusion, and hopefully I've put things back 
together correctly now.

-- 
Geoffrey Thomas
http://ldpreload.com
geofft@ldpreload.com




Bug reassigned from package 'kfreebsd-8' to 'e2fslibs'. Request was from Geoffrey Thomas <geofft@ldpreload.com> to control@bugs.debian.org. (Sun, 02 Oct 2011 19:39:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions e2fsprogs/1.41.12-4stable1 and reopened. Request was from Geoffrey Thomas <geofft@ldpreload.com> to control@bugs.debian.org. (Sun, 02 Oct 2011 19:39:06 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions e2fsprogs/1.42~WIP-2011-09-16-1. Request was from Geoffrey Thomas <geofft@ldpreload.com> to control@bugs.debian.org. (Sun, 02 Oct 2011 19:39:07 GMT) Full text and rfc822 format available.

Message sent on to "Israel G. Lugo" <israel.lugo@lugosys.com>:
Bug#641667. (Mon, 03 Oct 2011 03:03:09 GMT) Full text and rfc822 format available.

Message #45 received at 641667-submitter@bugs.debian.org (full text, mbox):

From: Theodore Y. Ts'o <tytso@mit.edu>
To: control@bugs.debian.org
Cc: 641667-submitter@bugs.debian.org
Subject: closing 641667
Date: Sun, 02 Oct 2011 22:57:56 -0400
close 641667 e2fsprogs/1.42~WIP-2011-09-16-1
thanks

Fixed in unstable; not serious enough to spin a new release for stable
IMHO.





Reply sent to "Theodore Ts'o" <tytso@mit.edu>:
You have taken responsibility. (Mon, 03 Oct 2011 03:30:04 GMT) Full text and rfc822 format available.

Notification sent to "Israel G. Lugo" <israel.lugo@lugosys.com>:
Bug acknowledged by developer. (Mon, 03 Oct 2011 03:30:04 GMT) Full text and rfc822 format available.

Message #50 received at 641667-done@bugs.debian.org (full text, mbox):

From: "Theodore Ts'o" <tytso@mit.edu>
To: 641667-done@bugs.debian.org, control@bugs.debian.org
Subject: close out 641667
Date: Sun, 02 Oct 2011 23:27:29 -0400
This bug has been fixed in unstable, but I don't think it's important
enough to put out a new 1.41.x stable release for Debian.

       	      	    	       	      - Ted




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Oct 2011 07:40:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:52:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.